Skip to main content
POST
/
deliver
/
external
/
accounts
Create an external account
curl --request POST \
  --url https://api-sandbox.orum.io/deliver/external/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "account_reference_id": "<string>",
  "customer_reference_id": "<string>",
  "account_number": "<string>",
  "routing_number": "<string>",
  "account_holder_name": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api-sandbox.orum.io/deliver/external/accounts"

payload = {
    "account_reference_id": "<string>",
    "customer_reference_id": "<string>",
    "account_number": "<string>",
    "routing_number": "<string>",
    "account_holder_name": "<string>",
    "metadata": {}
}
headers = {
    "Orum-Version": "<orum-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Orum-Version': '<orum-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    account_reference_id: '<string>',
    customer_reference_id: '<string>',
    account_number: '<string>',
    routing_number: '<string>',
    account_holder_name: '<string>',
    metadata: {}
  })
};

fetch('https://api-sandbox.orum.io/deliver/external/accounts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "external_account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_reference_id": "<string>",
    "customer_reference_id": "<string>",
    "account_number": "<string>",
    "routing_number": "<string>",
    "account_holder_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "closed_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}
{
  "error_code": "duplicate_account_details",
  "message": "<string>",
  "details": {
    "customer_reference_id": "<string>",
    "customer_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error_code": "<string>",
  "message": "<string>",
  "details": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Body

application/json
account_reference_id
string
required

Unique reference id for the external account. Generated by you.

Required string length: 1 - 255
customer_reference_id
string
required

Unique customer_reference_id that you passed when creating the associated customer (business or person) resource.

Maximum string length: 255
customer_resource_type
enum<string>
required

Type of customer resource - business, person, or enterprise.

Available options:
business,
person,
enterprise
account_type
enum<string>
required

Type of bank account - checking or savings.

Available options:
checking,
savings
account_number
string
required

Account number for US bank account. 4 to 17 digits are acceptable.

Pattern: ^(?:\d-{0,1}){3,16}\d$
routing_number
string
required

9-digit American Bankers Association (ABA) routing number.

Pattern: ^\d{9}$
account_holder_name
string
required

Name of account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.

Required string length: 1 - 255
Pattern: ^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$
metadata
object | null

Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.

Response

200 response.

external_account
ExternalAccountResponseBase · object
required

A single object of External Account.